DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# SortIndices16

Sort indices to a block of data

## SYNOPSIS

`#include "dip_sort.h"`

dip_Error dip_SortIndices16 ( data, indices, size, algorithm, dataType )

## FUNCTION

Sorts a list of (16 bit) indices rather than the data itself using the algorithm specified by `algorithm`.

## ARGUMENTS

Data type | Name | Description
`void *` | `data` | Data
`dip_sint16 *` | `indices` | Indices
`dip_int` | `size` | Size
`dip_Sort` | `algorithm` | Sort algorithm
`dip_DataType` | `dataType` | Data type. See DIPlib's data types

The `sortType` parameter is one of:

Name | Description
`DIP_SORT_DEFAULT` | Default sort algorithm
`DIP_SORT_QUICK_SORT` | Quick sort
`DIP_SORT_DISTRIBUTION_SORT` | Distribution sort
`DIP_SORT_INSERTION_SORT` | Insertion sort

## SEE ALSO

General information about sorting

`DistributionSort`, `InsertionSort`, `QuickSort`, `Sort`, `ImageSort`, `SortIndices`, `ImageSortIndices`

DIPlib on-line documentation | Function reference | Global function index